<?php 

	if (Session::get("tipo_usuario") != "3" and Session::get("tipo_usuario") != "6"){ show_403();}
	if ($_SERVER["REQUEST_METHOD"] == "POST") {
		import_file(DIR_MODELS."Model.class.php");

		$id = encrypt_decode(filter_input(INPUT_POST, "id_produto", FILTER_SANITIZE_STRING));

		$model = new Model();

		// Edita o status do produto para 'N'
		$result = $model->update("produto", [
			"status_produto" => "N"
		], [
			"id_produto" => $id
		]);
			
		if ($result > 0) {	
			// Gera o histórico do excluir produto
			$last_query = $model->lastQuery();
			$model->insert("historico", [
				"comando_sql" => $last_query,
				"datahora_acao" => date("Y-m-d H:i:s"),
				"id_usuario" => Session::get("id_usuario")
			]);

			$imagem_produto = $model->query("SELECT imagem_produto FROM produto WHERE id_produto = :id", [":id" => $id])->fetch()->imagem_produto;

			unlink($_SERVER["DOCUMENT_ROOT"].URL_BASE.$imagem_produto);

			$model->commit();
			if (Session::get("tipo_usuario") == "3") {
				echo "<script>window.location.href='".show_link("/todos-produtos/?excluir=true")."'</script>";
			}
			else{
				echo "<script>window.location.href='".show_link("/produtos/?excluir=true")."'</script>";
			}
		}
		else{
			$model->rollback();
			if (Session::get("tipo_usuario") == "3") {
				echo "<script>window.location.href='".show_link("/todos-produtos/?excluir=false")."'</script>";
			}
			else{
				echo "<script>window.location.href='".show_link("/produtos/?excluir=false")."'</script>";
			}
		}
	}
	else{
		show_403();
	}

?>